pubdate: Thu Apr 13 05:06:39 UTC 2023
title: smudge
slug: smudge
summary: being an announcement of a new piece of artware.

I made a new piece of (LINK https://github.com/vilmibm/smudge software) . It's a command line piece of art. 

(IMG https://raw.githubusercontent.com/vilmibm/smudge/trunk/smudge.gif a recording of a terminal running the smudge program. a grid of characters in grey turns orange from the top town, eventually dissipating into smoke)

The software accepts any number of filenames as arguments. each file is then interleaved, character by character, into a grid. the grid of characters is then ignited and the fire spreads downward. characters eventually become smoke particles that float upward and wisp away into nothing.

You can read about the practice that inspired this project on (LINK https://en.wikipedia.org/wiki/Smudging on wikipedia) .

I made this program because I wanted something I could run ritualistically. Initially, it was to run on a computer as a way to make it feel like a home. I've been using it, however, as a meditation aid. Before commiting to a potentially stressful task, I get a related text file and then watch it burn away. It's comforting and gives me some space and time to breathe.

Ritual is important. It can help nudge the brain into certain states. It can provide structure to a day or event which in turn can help focus a mind in turmoil. It provides an intentional space for reflection. I don't get much out of rituals involving physical objects, however. I think living in America my whole life has made me consider many physical goods as a form of (LINK https://www.urbandictionary.com/define.php?term=kipple kipple) . This was less true growing up when I lived in a forest since I could wander out and find a weird stick or rock or curious leaf covered in gall; but since then, even if I go out and obtain something from the natural world to use ritualistically, I am distracted by how shallow and capitalist it feels. It's also frowned on to be seen burning things in an urban environment.

the smudge program is a way to address this for me. Text files feel like special objects. They occur organically and have a shape to them that is incidental, like something from a forest floor. And digital conflagration can't burn down my house. I have found this program to be highly satisfying for its intended end.

It is written in Go. I have been slowly adding to a tiny "framework" for doing this kind of programming in Go on the command line based on a library I really like called (LINK https://github.com/gdamore/tcell tcell) . If you are interested in that code, you can see it (LINK https://github.com/vilmibm/smudge/blob/trunk/game/game.go on github). I might split it out into its own library. Let me know if that seems useful.

If you want to download and use smudge, you can get a binary from (LINK https://github.com/vilmibm/smudge/releases/tag/v1.0.0 its release page) for your OS.
